-- |
-- Module      :  MMSyn6Ukr.Show7s.Arr
-- Copyright   :  (c) OleksandrZhabenko 2020-2021
-- License     :  MIT
-- Stability   :  Experimental
-- Maintainer  :  olexandr543@yahoo.com
--
-- Can be used to show a sorted list of the Ukrainian sounds
-- representations that for mmsyn7 series of programs. Is taken from
-- the mmsyn7s package.
--

module MMSyn6Ukr.Show7s.Arr (
  show7s
) where

import Data.List (sort, nub)
import Melodics.Ukrainian.Arr (convertToProperUkrainian)

-- | Function takes a Ukrainian text being a @String@ and returns a sorted list of the Ukrainian sounds representations that can be used further in mmsyn7 series of
-- programs.
show7s :: String -> [String]
show7s = sort . nub . filter (/= "-") . convertToProperUkrainian
